Tue, 20 Mar 2007

DPL 2007 vote

"All of your vote are belong to bit-bucket"

Well, the ballot describes Raphaël's name as is. My MUA wanderlust shows it in "Content-Type: unknown-8bit" and seems confused.

More badly, all of my votes are rejected by CRC errors. Although I tried to store&sign by hand, to change the environment variables, to use mutt, and so on, my all challenges hadn't changed anything.

...OK, I prefer to create pure English environment rather than to waste a time to fight against environment/encoding problems... will do later. [update] Finally I succeeded to vote :)

Mr.Secretary, could you use only ASCII characters in a ballot sheet from next time?

(If Junichi was one of candidates and he wanted to describe his name in Japanese Kanji characters, most voters would face a very difficult situation :)

Mon, 05 Mar 2007

i386 (686) d-i image for Sarge, with kernel 2.6.20

Today I released backported-installer using kernel 2.6.20. You can take it from this page.

Updates:
  • Based on Debian GNU/Linux 3.1r5.
  • Applied Linux kernel version 2.6.20. Added drivers: a100u2w, arcmsr, nsp32, seagate, spectrum_cs, pata_marvell, pata_adma, acenic, myri10ge, sb1000, sungem, sunhme, ipw2100, ipw2200 (but ipw driver won't work because it needs a firmware), orinoco_nortel, zd1211rw
  • Chose -686 (optimized for PentiumPro) instead of -486. By this change, you can use SMP now. I hope this change won't hurt AMD machines. Although VIA C3 will be affected, I think its owner prefer to use Etch than Sarge :). My d-i image is mainly for server users.
  • Fixed preseed problem on 2nd stage. Please remove /var/log/debian-installer/debconf-preseed after installation if you wrote a secret on preseed file.
Known issue:
  • PATA device name is different between 1st stage and 2nd stage. You have to modify /etc/fstab and/or GRUB /boot/grub/menu.lst.
  • GNOME can't be installed. udev conflicts hal package of Sarge. Furthermore backporting hal package seems very hard.

[update 2007.02.22] CVE-2007-0772-"free-wrong-pointer bug in nfs/acl server" hits 2.6.20. If your server uses this feature, update to 2.6.20.1.

[update 2007.03.05] I replaced sarge-custom-0221.iso with sarge-custom-0304.iso. This ISO uses 2.6.20.1 and has a trial patch against SiS662/966/966L (just added PCI IDs, I dunno whether it works or not).